{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <link rel="stylesheet" type="text/css" href="{% static 'blogs/style.css' %}" />
{% endblock meta %}

{% block content %}
    <div class = "full-size d-flex flex-column justify-content-center align-items-center" style = "padding: 4% 15%;">
        <div class="card margin-2 full-size">
            <img class="card-img-top" src="{{ blog.base64_thumbnail }}" alt="Card image cap">
            <div class="card-body">
                <div class = "full-size d-flex flex-row justify-content-between align-items-center">
                    <p class="card-title montserrat-bold large-font" style = "width: 80%;" >{{ blog.title }}</p>
                    {% if isAuthor %}
                    <div class = "d-flex flex-row justify-content-center align-items-center" style = "width: 20%;">
                        <a href="{% url 'blogs:blogs-updateBlog' blog.id %}" class="btn btn-secondary margin-1">Sunting</a>
                        <a href="{% url 'blogs:blogs-deleteBlog' blog.id %}" class="btn btn-danger margin-1">Hapus</a>
                    </div >
                    {% endif %}
                </div>
                <hr>
                <p class="card-text montserrat-regular medium-font margin-top-4">{{ blog.body }}</p>
            </div>
        </div>
        <div class="card margin-2 full-size">
            <form class = "full-size padding-2" method = "POST" action = "{% url 'blogs:blogs-createComment' blog.id %}">
                {% csrf_token %}
                {{ commentForm.as_p }}
                <button type="submit" class="btn btn-dark">Kirim</button>
            </form>
            {% if allComment %}
            <p class = "montserrat-semibold medium-font padding-top-2 padding-left-2">Komentar</p>
            <div class = "full-size d-flex flex-column justify-content-center align-items-center padding-1">
                {% for comment in allComment %}
                <div class="card comment margin-2 full-size">
                    <div class="card-body">
                        <hr>
                        <p class="card-text montserrat-regular medium-font">{{ comment.comment }}</p>
                    </div>
                </div>
                {% endfor %}
            </div>
            {% endif %}
        </div>
    </div>
{% endblock content %}